import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Serangga here.
 * 
 * @author Budi Susanto
 * @version April 27, 2011
 */
public class Serangga  extends Actor
{
    /*
     * disadur dari class Animal Greenfoot book
     */
    public void pindah(double kecepatan) {
        double sudut = Math.toRadians( getRotation() );
        int posx = (int)Math.round(getX() + Math.cos(sudut) * kecepatan);
        int posy = (int)Math.round(getY() + Math.sin(sudut) * kecepatan);
        setLocation(posx, posy);
    }
    
    /*
     * disadur dari class Animal Greenfoot book
     */
    public void putar(int sudut) {
        setRotation(getRotation() + sudut);
    }
    
    /*
     * disadur dari class Animal Greenfoot book
     */
    public boolean batasWorld(GreenfootImage img)
    {
        int wImg = img.getWidth();
        int hImg = img.getHeight();
        
        if(getX() < wImg || getX() > getWorld().getWidth() - wImg)
            return true;
        if(getY() < hImg || getY() > getWorld().getHeight() - hImg)
            return true;
        else
            return false;
    }
    
    public boolean isBersinggungan(int jarak, Class clss)
    {
        //Actor actor = getOneObjectAtOffset(jarakX, jarakY, clss);
        //Actor actor = getOneObjectAtOffset(jarakX, jarakY, Batu.class);
        java.util.List actor = getNeighbours(jarak, false, clss);
        return actor.size() > 0;
    }

}
